Subject: [Pce] Alvaro Retana's No Objection on draft-ietf-pce-wson-rwa-ext-11: (with COMMENT)

From: Alvaro Retana <[email-masked]>
Date: Mon, 04 Feb 2019 13:25:56 -0800

Alvaro Retana has entered the following ballot position for
draft-ietf-pce-wson-rwa-ext-11: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-pce-wson-rwa-ext/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I share Benjamin's concerns about the clarity of this document, and support his
DISCUSS.   I have added some related comments below (not overlapping with his,
of Mirja's).

(1) §4.2 (Wavelength Selection TLV): "The encoding of this TLV is specified as
the Wavelength Selection Sub-TLV in Section 4.2.2 of [RFC7689]."  It should be
made clear that this document is requesting a new TLV-type code to be assigned
(§8.2) for this TLV.  IOW, rfc7689 just describes the value part of the TLV...

(2) §4.3: s/MUST be able to specify a restriction/MUST specify a restriction  
I assume you really want the restriction signaled, and not just the ability to
do it...

(3) §4.3: "the PCE MUST have mechanisms to know the tunability restrictions" 
How can this be Normatively enforced?  It seems to be that the MUST is out of
place.  s/MUST/must

(4) §4.3: "the PCC MUST be able to apply additional constraints"  This sounds
like a requirement, which is immediately satisfied by the definition of the
Wavelength Restriction Constraint TLV...so I think the MUST is out of place. 
s/MUST/must

(5) §4.3.2: s/wavelength restriction TLV/Wavelength Restriction Constraint TLV

(6) I think that these references should be Normative: rfc5440, rfc8253.

---

From: Leeyoung <[email-masked]>
Date: Thu, 7 Feb 2019 02:02:05 +0000

Hi Alvaro,

Thanks for your comments. Please see in-line for my response to each of your comments. Please let me know if you would have further comments.

Thanks & best regards,

Young

-----Original Message-----

From: Alvaro Retana [mailto:[email-masked]]

Sent: Monday, February 4, 2019 3:26 PM

To: The IESG <[email-masked]>

Cc: [email-masked]; Daniele Ceccarelli <[email-masked]>; [email-masked]; [email-masked]

Subject: Alvaro Retana's No Objection on draft-ietf-pce-wson-rwa-ext-11: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

COMMENT:

of Mirja's).

(1) §4.2 (Wavelength Selection TLV): "The encoding of this TLV is specified as the Wavelength Selection Sub-TLV in Section 4.2.2 of [RFC7689]."  It should be made clear that this document is requesting a new TLV-type code to be assigned

YL>> This is a whole TLV, not just value part. Corrected in the figure.

(2) §4.3: s/MUST be able to specify a restriction/MUST specify a restriction I assume you really want the restriction signaled, and not just the ability to do it...

YL>> Agree. Forgot to update this - -will do that in the next revision. Yes, this is the restriction signaled.

How can this be Normatively enforced?  It seems to be that the MUST is out of place.  s/MUST/must

YL>> Agree. – will update this in the next revision.

(4) §4.3: "the PCC MUST be able to apply additional constraints"  This sounds like a requirement, which is immediately satisfied by the definition of the Wavelength Restriction Constraint TLV...so I think the MUST is out of place.

s/MUST/must

YL>> OK. Agree – will update this in the next revision.

YL>> Thanks. Agree to change this as well.

YL>> OK. Agree and will change this as well.